Parma_Polyhedra_Library::Domain_Product< D1, D2 > Class Template Reference

This class is temporary and will be removed when template typedefs will be supported in C++. More...

`#include <ppl.hh>`

## Detailed Description

### template<typename D1, typename D2>
class Parma_Polyhedra_Library::Domain_Product< D1, D2 >

This class is temporary and will be removed when template typedefs will be supported in C++.

When template typedefs will be supported in C++, what now is verbosely denoted by `Domain_Product<Domain1, Domain2>::Direct_Product` will simply be denoted by `Direct_Product<Domain1, Domain2>`.

The documentation for this class was generated from the following file:

- ppl.hh